# $Revision: 1.25 $, $Date: 2010/08/21 19:08:51 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Session
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Object-oriented interface to the session_* family functions
Summary(pl.UTF-8):	%{_pearname} - Obiektowy interfejs do funkcji z rodziny session_*
Name:		php-pear-%{_pearname}
Version:	0.5.6
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	96a45274b2164f13c3b73e274453787d
URL:		http://pear.php.net/package/HTTP_Session/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3.3
Suggests:	php-pear-DB
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(DB.*)' 'pear(MDB.*)' 'pear(MDB2.*)'

%description
Object-oriented interface to the session_* family functions; it
provides extra features such as database storage for session data
using DB package. It introduces new methods like isNewSession(),
setCookieless(), abandon(), setExpire(), setIdle(), isExpired(),
isIdled() and others.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet jest obiektowo zorientowanym interfejsem do funkcji z
rodziny session_*. Dostarcza dodatkowe możliwości, takie jak
składowanie danych sesji w bazie danych przy użyciu pakietu DB.
Wprowadza nowe metody, takie jak isNewSession(), setCookieless(),
abandon(), setExpire(), setIdle(), isExpired(), isIdled() i inne.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Container
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Container/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Session.spec,v $
Revision 1.25  2010/08/21 19:08:51  glen
- updated deps with pearize.sh
- release 3

Revision 1.24  2008/01/31 12:16:07  glen
- rel 2

Revision 1.23  2007-08-22 20:40:38  adamg
- updated to 0.5.6; tests subpackage

Revision 1.22  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.20  2006/12/26 12:52:27  adamg
- updated to 0.5.5

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/05/19 19:43:12  glen
- 0.5.2

Revision 1.17  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.14  2005/10/05 18:31:31  glen
- rel 2

Revision 1.13  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.12  2005/09/27 17:00:47  glen
- new pear packaging

Revision 1.11  2005/09/04 15:06:20  adamg
- updated to 0.5.1

Revision 1.10  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.8  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.7  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/06 21:20:27  blues
- 0.3 - fixed warnings about undefined functions

Revision 1.3  2003/02/17 19:13:48  qboosh
- pl description

Revision 1.2  2003/02/16 16:57:49  blues
- 0.2 - bugfix beta release

Revision 1.1  2003/02/16 12:44:29  blues
- initial release - STBR to Ra updates general
